Update a recurring payment
curl --request PATCH \
--url https://api.request.network/v2/payouts/recurring/{id} \
--header 'Content-Type: application/json' \
--data '
{
"action": "cancel"
}
'import requests
url = "https://api.request.network/v2/payouts/recurring/{id}"
payload = { "action": "cancel" }
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({action: 'cancel'})
};
fetch('https://api.request.network/v2/payouts/recurring/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "01JXYJKCAHGFTDR15F2D072ESG",
"status": "cancelled",
"transactions": [
{
"to": "0xA0b86a33E6441b8c4C8C8C8C8C8C8C8C8C8C8C8",
"data": "0x095ea7b30000000000000000000000000363dD3ccD4f187d7033c57354CA81f998451D590000000000000000000000000000000000000000000000000000000000000000",
"value": "0x0"
}
],
"metadata": {
"remainingPayments": 5,
"remainingAmount": "5000000000000000000",
"processedPayments": 3,
"totalPayments": 8
}
}Pay
Update a recurring payment
Update a recurring payment by cancelling it or unpausing it. When cancelling, optionally returns a transaction to decrease allowance. When unpausing, resumes execution of a paused recurring payment.
PATCH
/
v2
/
payouts
/
recurring
/
{id}
Update a recurring payment
Headers
API key for authentication (optional if using Client ID)
Client ID for frontend authentication (optional if using API key)
Origin header (required for Client ID auth, automatically set by browser)
Path Parameters
The ID of the recurring payment
Example:
"01JXYJKCAHGFTDR15F2D072ESG"
Body
application/json
The action to perform on the recurring payment
Available options:
cancel, unpause Response
Recurring payment updated successfully
Was this page helpful?
⌘I